package com.qmth.distributed.print.business.bean.result.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.distributed.print.business.bean.dto.report.*;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 报告result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/19
 */
public class ReportResult implements Serializable {

    @ApiModelProperty(value = "公共信息")
    @TableField(exist = false)
    private ReportCommonDto commonInfo;

    @ApiModelProperty(value = "课程基本情况")
    @TableField(exist = false)
    private ReportCourseBasicInfoDto courseBasicInfo;

    @ApiModelProperty(value = "课程目标考核分布")
    @TableField(exist = false)
    private ReportCourseEvaluationSpreadDto courseEvaluationSpreadInfo;

    @ApiModelProperty(value = "课程考核成绩评价结果")
    @TableField(exist = false)
    private ReportCourseEvaluationResultDto courseEvaluationResultInfo;

    @ApiModelProperty(value = "课程目标达成评价明细结果")
    @TableField(exist = false)
    private ReportCourseEvaluationResultDetailDto courseEvaluationResultDetailInfo;

    public ReportResult() {

    }

    public ReportResult(ReportCommonDto commonInfo, ReportCourseBasicInfoDto courseBasicInfo, ReportCourseEvaluationSpreadDto courseEvaluationSpreadInfo
            , ReportCourseEvaluationResultDto courseEvaluationResultInfo, ReportCourseEvaluationResultDetailDto courseEvaluationResultDetailInfo) {
        this.commonInfo = commonInfo;
        this.courseBasicInfo = courseBasicInfo;
        this.courseEvaluationSpreadInfo = courseEvaluationSpreadInfo;
        this.courseEvaluationResultInfo = courseEvaluationResultInfo;
        this.courseEvaluationResultDetailInfo = courseEvaluationResultDetailInfo;
    }

    public ReportCommonDto getCommonInfo() {
        return commonInfo;
    }

    public void setCommonInfo(ReportCommonDto commonInfo) {
        this.commonInfo = commonInfo;
    }

    public ReportCourseBasicInfoDto getCourseBasicInfo() {
        return courseBasicInfo;
    }

    public void setCourseBasicInfo(ReportCourseBasicInfoDto courseBasicInfo) {
        this.courseBasicInfo = courseBasicInfo;
    }

    public ReportCourseEvaluationSpreadDto getCourseEvaluationSpreadInfo() {
        return courseEvaluationSpreadInfo;
    }

    public void setCourseEvaluationSpreadInfo(ReportCourseEvaluationSpreadDto courseEvaluationSpreadInfo) {
        this.courseEvaluationSpreadInfo = courseEvaluationSpreadInfo;
    }

    public ReportCourseEvaluationResultDto getCourseEvaluationResultInfo() {
        return courseEvaluationResultInfo;
    }

    public void setCourseEvaluationResultInfo(ReportCourseEvaluationResultDto courseEvaluationResultInfo) {
        this.courseEvaluationResultInfo = courseEvaluationResultInfo;
    }

    public ReportCourseEvaluationResultDetailDto getCourseEvaluationResultDetailInfo() {
        return courseEvaluationResultDetailInfo;
    }

    public void setCourseEvaluationResultDetailInfo(ReportCourseEvaluationResultDetailDto courseEvaluationResultDetailInfo) {
        this.courseEvaluationResultDetailInfo = courseEvaluationResultDetailInfo;
    }
}
